Public Member Functions | Public Attributes | List of all members
clan::PrimitivesArrayProvider::VertexData Class Reference
clanDisplay Display

`#include <primitives_array_provider.h>`

## Public Member Functions
| VertexData (VertexArrayBufferProvider *array_provider, VertexAttributeDataType type, size_t offset, int size, int stride)
| VertexData ()

## Public Attributes
VertexArrayBufferProvider * | array_provider
size_t | offset
int | size
int | stride
VertexAttributeDataType | type

## Constructor & Destructor Documentation

clan::PrimitivesArrayProvider::VertexData::VertexData | ( | VertexArrayBufferProvider * | array_provider,
|  | VertexAttributeDataType | type,
|  | size_t | offset,
|  | int | size,
|  | int | stride
| ) |  |
| inline

clan::PrimitivesArrayProvider::VertexData::VertexData | ( |  | ) |
| inline

## Member Data Documentation

VertexArrayBufferProvider* clan::PrimitivesArrayProvider::VertexData::array_provider

size_t clan::PrimitivesArrayProvider::VertexData::offset

int clan::PrimitivesArrayProvider::VertexData::size

int clan::PrimitivesArrayProvider::VertexData::stride

VertexAttributeDataType clan::PrimitivesArrayProvider::VertexData::type

The documentation for this class was generated from the following file:

- primitives_array_provider.h